Method: notebooks.sources.create

Creates a new source.

HTTP request

POST https://notebook.googleapis.com/v1/{parent=notebooks/*}/sources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this source will be created. Format: notebooks/{notebook} It takes the form notebooks/{notebook}.

Request body

The request body contains an instance of Source.

Response body

If successful, the response body contains a newly created instance of Source.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/notebook

For more information, see the Authentication guide.